DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_06_18-UserActionsIsAdditional';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15122) THEN
			RETURN;
		END IF;

		BEGIN
            		
			ALTER TABLE public."UserActions" ADD "IsAdditional" boolean DEFAULT false NOT NULL;


 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2025_06_18-UserActionsIsAdditional: %', SQLERRM;
		END;
	END;
$$
